Skip to main content
GET
Python

Path Parameters

question_id
string
required

Response

Successful Response

type
enum<string>
required

The type of question

Available options:
categorical,
free_text,
rating,
number,
form,
timestamp
title
string
required
prompt
string
required
id
string
required

The unique identifier of the entity.

created_at
string<date-time>
required

The date and time when the entity was created in ISO format.

account_id
string
required

The ID of the account that owns the given entity.

created_by_user_id
string
required

The user who originally created the entity.

created_by_identity_type
enum<string>
required

The type of identity that created the entity.

Available options:
user,
service_account
choices
CategoricalChoice · object[]

List of choices for the question. Required for CATEGORICAL questions.

ratingOptions
RatingQuestionOptions · object

Options for rating questions.

numberOptions
NumberQuestionOptions · object

Options for number questions.

freeTextOptions
FreeTextQuestionOptions · object

Options for free text questions.

multi
boolean

Whether the question allows multiple answers.

dropdown
boolean

Whether the question is displayed as a dropdown in the UI.

required
boolean

[To be deprecated in favor of question set question_id_to_config] Whether the question is required.

conditions
Conditions · object[]

Conditions for the question to be shown.

default
any

The default value for the question.

form_schema
Form Schema · object

The schema for the question.